import { http } from '@/utils/http'
import type { InspectStVO, InspectRecordVO } from './inspect.d'

/**
 * 点检汇总列表
 */
export const getInspStList = (params: any) => {
  return http.get<InspectStVO[]>('/eims/inspectSt/list', params)
}

/**
 * 点检汇总列表下点检记录列表
 */
export const getInspStRecordList = (params: any) => {
  return http.get<InspectRecordVO[]>('/eims/inspRecord/stList', params)
}

/**
 * 更新点检记录
 * @param data
 */
export const updateInspRecord = (data: any) => {
  return http.put<void>('/eims/inspRecord', data)
}

/**
 * 批量更新点检记录
 * @param data
 */
export const updateInspRecordBatch = (data: any) => {
  return http.put<void>('/eims/inspRecord/editBatch', data)
}

/**
 * 更新点检汇总
 * @param data
 */
export const updateInspectSt = (data: any) => {
  return http.put<void>('/eims/inspectSt', data)
}
